import { default as PropTypes } from 'prop-types';
declare function InstallerItem({ optionalComponent, index, installStatus, hasPermission, t }: {
    optionalComponent: any;
    index: any;
    installStatus?: string | undefined;
    hasPermission: any;
    t: any;
}): import("react/jsx-runtime").JSX.Element;
declare namespace InstallerItem {
    namespace propTypes {
        let t: PropTypes.Validator<(...args: any[]) => any>;
        let optionalComponent: PropTypes.Validator<object>;
        let index: PropTypes.Validator<number>;
        let installStatus: PropTypes.Requireable<string>;
        let hasPermission: PropTypes.Validator<boolean>;
    }
}
export default InstallerItem;
